# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-12-12 17:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('halaman_status', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='MessageKu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.TextField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name='Pengguna',
            fields=[
                ('kode_identitas', models.CharField(max_length=20, primary_key=True, serialize=False, verbose_name='Kode Identitas')),
                ('nama', models.CharField(max_length=200, verbose_name='Nama')),
                ('npm', models.CharField(max_length=12, verbose_name='NPM')),
                ('email', models.CharField(max_length=50, verbose_name='email')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='statusku',
            name='pengguna',
        ),
        migrations.DeleteModel(
            name='StatusKu',
        ),
        migrations.AddField(
            model_name='messageku',
            name='pengguna',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='halaman_status.Pengguna'),
        ),
    ]
